# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Archive/Zip.pm) perl(Fcntl.pm) perl(IO/Handle.pm) perl(IO/Seekable.pm) perl(Net/FTP.pm) perl(Net/FTP/AutoReconnect.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%global         _module_name Net-FTP-RetrHandle

Name:           perl-%{_module_name}
Version:        0.2
Release:        alt1_8
Summary:        Provides a file reading interface for reading files on a remote FTP server

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~giff/%{_module_name}-%{version}/
Source0:        http://search.cpan.org/CPAN/authors/id/G/GI/GIFF/%{_module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)


Source44: import.info

%description
Support for skipping the beginning of the file is implemented with the FTP REST
command, which starts a retrieval at any point in the file. Support for
skipping the end of the file is implemented with the FTP ABOR command, which
stops the transfer. With these two commands and some careful tracking of the
current file position, we're able to reliably emulate a seek/read pair, and get
only the parts of the file that are actually read.

This was originally designed for use with Archive::Zip; it's reliable enough
that the table of contents and individual files can be extracted from a remote
ZIP archive without downloading the whole thing.

An interface compatible with IO::Handle is provided, along with a tie-based
%prep
%setup -q -n %{_module_name}-%{version}

# remove any CVS static
find t -type d -name CVS | xargs rm -rf

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
# We can't allow tests that access the network under koji, so remove those
# unless specified on the command line
%{?!_with_net_tests: rm -f t/10remote.t}
%{?!_with_net_tests: rm -f t/11tie.t}

make test


%files
# For noarch packages: vendorlib
%{perl_vendor_privlib}/*
%doc TODO NEWS t


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_7
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_5
- fc import

